variable "cluster" {
  description = "Name or ID of the cluster"
  type        = string
}

variable "k8s_config_yaml" {
  description = "Content of the k8s config yaml file"
  type        = string
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}

variable "ssh_private_key" {
  description = "Contents of the ssh private key"
  type        = string
}

variable "ssh_public_key" {
  description = "Contents of the ssh public key"
  type        = string
}

variable "vault_secret_path" {
  description = "Path to the vault secret"
  type        = string
  default     = null
}

variable "hcloud_token" {
  type    = string
  default = null
}

variable "hcloud_network_id" {
  type    = string
  default = null
}

variable "vault_server" {
  type = string
}

variable "vault_token" {
  type      = string
  sensitive = true
}

variable "minio_server" {
  type = string
}

variable "minio_access_key" {
  type = string
}

variable "minio_secret_key" {
  type      = string
  sensitive = true
}
